NETWORK_IP-SEC-CONNECTION_GET-IPSEC-CPE-DEVICE-CONFIG-CONTENT(1)

NAME
network_ip-sec-connection_get-ipsec-cpe-device-config-content -

DESCRIPTION

Renders a set of CPE configuration content for the specified IPSec connection (for all the tunnels in the connection). The content helps a network engineer configure the actual CPE device (for example, a hardware router) that the specified IPSec connection terminates on.

The rendered content is specific to the type of CPE device (for example, Cisco ASA). Therefore the Cpe <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Cpe/> used by the specified IPSecConnection <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/IPSecConnection/> must have the CPE's device type specified by the cpeDeviceShapeId attribute. The content optionally includes answers that the customer provides (see UpdateTunnelCpeDeviceConfig <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/UpdateTunnelCpeDeviceConfig>), merged with a template of other information specific to the CPE device type.

The operation returns configuration information for all tunnels in the single specified IPSecConnection <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/IPSecConnection/> object. Here are other similar operations:

•   GetTunnelCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/GetTunnelCpeDeviceConfigContent> returns CPE configuration content for a specific tunnel within an IPSec connection. * GetCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Cpe/GetCpeDeviceConfigContent> returns CPE configuration content for all IPSec connections that use a specific CPE.

USAGE

oci network ip-sec-connection get-ipsec-cpe-device-config-content [OPTIONS]

REQUIRED PARAMETERS

--file [filename]

    The name of the file that will receive the response data, or '-' to write to STDOUT.

--ipsc-id [text]

    The OCID of the IPSec connection.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle